$primarycolor: black;
$secondarycolor: white;
$backgroundcolor: grey;
$hovercolor: rgb(70, 70, 70);

html {
    background-color: $backgroundcolor;
}

body {
    margin: 0;
    padding: 0;
    background-color: $backgroundcolor;
}

.my-navbar {
    user-select: none;
    position: fixed;
    top: 0;
    width: 100%;
    height: 100px;
    z-index: 1;
    background-color: $primarycolor;

    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;

    .logo {
        width: 50px;
        height: 50px;
        position: absolute;
        left: 5px;
        bottom: 5px;

    }

    a {
        width: 30%;
        height: 100%;
        border-bottom: 1px solid $secondarycolor;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 25px;
        text-decoration: none;
        outline: none;
        color: $secondarycolor;

        &:hover {
            background-color: $backgroundcolor;
        }
    }

    .burger-menu {
        width: 50px;
        height: 50px;
        border-radius: 100%;
        margin-top: 15px;
        background-color: $backgroundcolor;
        cursor: pointer;

        display: none;
    }

    .my-avatar {
        cursor: pointer;
        width: 60px;
        height: 60px;
        clip-path: circle(45%);
        position: absolute;
        bottom: 5px;
        right: 5px;

        img {
            width: 100%;
            height: 100%;
        }
    }
}

.name {
    z-index: 999;
    position: fixed;
    top: 0;
    right: 10px;
    font-size: 20px;
    color: $secondarycolor;
    cursor: pointer;
    user-select: none;
}

.avatar-open {
    transition: 0.5s;
    position: fixed;
    z-index: 999;
    top: 0;
    height: 0px;
    width: 100vw;
    margin-top: 100px;
    background-color: rgba(53, 53, 53, 0.9);

    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    align-items: center;

    img {
        display: none;
        user-select: none;
        cursor: pointer;
        width: 100px;
        height: 100px;

        clip-path: circle(45%);
    }
}

.name-section {
    display: none;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    background-color: rgba(48, 48, 48, 0.8);

    position: absolute;
    top: 0;
    width: 100%;
    z-index: 999;

    p {
        margin-top: 100px;
        width: 100%;
        color: $secondarycolor;
        text-align: center;
    }

    input {
        margin: 0 auto;
        width: 50%;
        text-align: center;

        &::placeholder {
            text-align: center;
        }
    }

    button {
        margin: 10px auto;
    }
}

.pop-up {
    position: relative;
    width: 100%;
    height: 100px;

    display: flex;
    justify-content: center;
    align-items: center;

    div {
        display: flex;
        align-items: center;
        justify-content: space-between;

        position: fixed;
        bottom: 0;
        background-color: $secondarycolor;
        border-top-left-radius: 50px;
        border-top-right-radius: 50px;
        width: 90%;
        height: 100px;
        padding: 5px;

        img {
            height: 95%;
        }

        .exit-button {
            width: 50px;
            height: 50px;
            cursor: pointer;
        }
    }
}

.fond {
    background-image: url('../images/fond.png');
    height: 70vh;
    padding-top: 70px;

    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    h1 {
        padding: 15px;
        background-color: rgba(255, 255, 255, 0.7);
        font-size: 50px;
        text-align: center;
    }
}

@import 'style-horaire.scss';
@import 'style-trajet.scss';
@import 'style-media.scss';